
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji", 'Roboto', sans-serif;
}


#faq {
    padding: 40px 20px;
}

h1 {
    text-align: center;
    font-size: 1.7rem; 
    margin-top: 20px;
    font-weight: bold;
    color: #333;
}

#faq h2 {
    text-align: center;
    font-size: 1.5rem;
    color: #333;
    margin-bottom: 30px;
    font-weight: bold;
}


.faq-item {
    background-color: #fff;
    border: 1px solid #ddd;
    margin-bottom: 20px;
    padding: 20px;
    border-radius: 8px;
    transition: all 0.3s ease;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.faq-item h3 {
    font-size: 1.4rem; 
    color: #ff6b00;
    cursor: pointer;
    margin: 0;
    font-weight: 600;
    transition: color 0.3s ease;
}

.faq-item h3:hover {
    color: #e65c00; 
}

.faq-item p {
    text-align: justify;
    font-size: 1.1rem;
    color: #333;
    display: none;  
    margin-top: 10px;
    line-height: 1.7;
}

.faq-item:hover {
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.faq-item.active p {
    display: block;
}

.container {
    width: 80%;
    margin: 0 auto;
    max-width: 1200px;
}

@media (max-width: 1200px) {
    .container {
        width: 90%; 
    }

    h1 {
        font-size: 1.4rem;
        text-align:center;
    }

    #faq h2 {
        font-size: 1.4rem;
    }

    .faq-item h3 {
        font-size: 1.3rem;
    }
}

@media (max-width: 768px) {
    h1 {
        font-size: 1.3rem;
        text-align: center;
    }

    #faq h2 {
        font-size: 1.1rem;
    }

    .faq-item h3 {
        font-size: 1.0rem;
    }

    .container {
        width: 90%;
    }

    .faq-item {
        padding: 15px;
    }

    .faq-item p {
        font-size: 1rem;
        text-align: justify; 
    }
    
   #noResultsMessage{
       margin-top:50px;
   }
}

@media (max-width: 480px) {
    h1 {
        font-size: 1.2rem;
        text-align:center;
    }

    #faq h2 {
        font-size: 1.1rem;
    }

    .faq-item h3 {
        font-size: 1.4rem;
    }

    .faq-item p {
        font-size: 0.95rem;
    }

    .container {
        width: 95%;
    }
}
